Name: H5Sset_extent_simple
Signature:
  herr_t `H5Sset_extent_simple`(hid_t `space_id`, int `rank`, const hsize_t *`current_size`, const hsize_t *`maximum_size` )
Purpose:
  Sets or resets the size of an existing dataspace.
Description:
  `H5Sset_extent_simple` sets or resets the size of an existing dataspace.

  `rank` is the dimensionality, or number of dimensions, of the dataspace.

  `current_size` is an array of size `rank` which contains the new size of each dimension in the dataspace. `maximum_size` is an array of size `rank` which contains the maximum size of each dimension in the dataspace.

  Any previous extent is removed from the dataspace, the dataspace type is set to `H5S_SIMPLE`, and the extent is set as specified.

Parameters:

hid_t `space_id` | Dataspace identifier.
int `rank` | Rank, or dimensionality, of the dataspace.
const hsize_t *`current_size` | Array containing current size of dataspace.
const hsize_t *`maximum_size` | Array containing maximum size of dataspace.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5sset_extent_simple_f

      SUBROUTINE h5sset_extent_simple_f(space_id, rank, current_size,
                                        maximum_size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id     ! Dataspace identifier
        INTEGER, INTENT(IN) :: rank                ! Dataspace rank
        INTEGER(HSIZE_T), DIMENSION(rank), INTENT(IN) :: current_size
                                                   ! Array with the new sizes
                                                   ! of dimensions
        INTEGER(HSIZE_T), DIMENSION(rank), INTENT(IN) ::
                                                   ! Array with the new maximum
                                                   ! sizes of dimensions
        INTEGER, INTENT(OUT) :: hdferr             ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5sset_extent_simple_f